<template>
  <div>
      <div class="event-list">
          <router-link :to="{name: 'Campaign', params:{organizer_slug: campaign.organizer.slug, campaign_slug: campaign.slug}}" class="event" v-for="campaign in listCampaigns" :key="campaign.id">
              <div class="event-title">{{ campaign.name }}</div>
              <div class="event-description">{{ campaign.organizer.name }} - {{ formatDateShow(campaign.date) }}</div>
          </router-link>
      </div>
  </div>
</template>

<script>
import { getListCampaigns, getUserLoginObj } from '../api';
import { getStorageData, deleteStorageData } from '../http';

export default {
    name: "Home",
    data()  {
        return {
            listCampaigns: []
        }
    },
    methods: {
        formatDateShow(date) {
            var date_obj = new Date(date);
            return date_obj.toDateString();
        }
    },
    created() {
        var user = getUserLoginObj();
        if(user.isLogin) {
        const backto_link = getStorageData('backto_link_campaign_registration');
        if(backto_link) {
            deleteStorageData('backto_link_campaign_registration');
            this.$router.push({name: "Campaign", params: JSON.parse(backto_link)});
        }
        }
        this.$emit("setBtn", {});
        this.$emit("changeTitle", "Campaign Platform");
        getListCampaigns().then(listCampaigns => {
            this.listCampaigns = listCampaigns;
        });
    }
}
</script>

<style>
    .event {
        padding: 10px;
        border: 1px solid #e0e0e0;
        margin-bottom: 15px;
        display: block;
        color: black;
        text-decoration: none;
    }
    .event:hover {
        background: #e0e0e0;
        cursor: pointer;
    }
    .event-title {
        font-weight: bold;
        margin-bottom: 5px;
    }
    .event-description {
        text-decoration: none;
    }
</style>